Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1418796

Summary: __init__.pyc from install of python2-modulemd-1.0.2-1.fc25.noarch conflicts with file from package python-custodia-0.1.0-4.fc25.noarch
Product: [Fedora] Fedora Reporter: Charalampos Stratakis <cstratak>
Component: custodiaAssignee: Christian Heimes <cheimes>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: bkabrda, cheimes, cstratak, dmalcolm, extras-qa, jeremy.linton, mhroncok, pviktori, rkuska, ssorce, tomspur, torsava
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: custodia-0.1.0-6.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1418794 Environment:
Last Closed: 2017-03-10 15:21:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1418794    
Bug Blocks:    

Description Charalampos Stratakis 2017-02-02 18:12:39 UTC
+++ This bug was initially created as a clone of Bug #1418794 +++

Description of problem: Attempting to install copr, a dependent package python2-modulemd-1.0.2-1.fc25.noarch is conflicting with a previously installed python-custodia-0.1.0-4.fc25.noarch over the file. 

/usr/lib/python2.7/site-packages/tests/__init__.pyo

which AFAIK is a bug in both packages as they should be putting their test packages under their own subdirs.

/usr/lib/python2.7/site-packages/custodia/tests/__init__.pyo.


Version-Release number of selected component (if applicable): 

Fedora 25:
custodia-0.1.0-4
modulemd-1.0.2-1

How reproducible: Right now 100%


Steps to Reproduce:
1. dnf install python-custodia  python-modulemd
2.
3.

Actual results:

Dependencies resolved.
=====================================================================================================================================================================
 Package                                      Arch                               Version                                   Repository                           Size
=====================================================================================================================================================================
Installing:
 PyYAML                                       x86_64                             3.11-13.fc25                              fedora                              170 k
 python-custodia                              noarch                             0.1.0-4.fc25                              fedora                               65 k
 python-jwcrypto                              noarch                             0.3.2-1.fc25                              fedora                               58 k
 python2-modulemd                             noarch                             1.0.2-1.fc25                              updates                              40 k

Transaction Summary
=====================================================================================================================================================================
Install  4 Packages

Total download size: 333 k
Installed size: 1.2 M
Is this ok [y/N]: y
Downloading Packages:
(1/4): python2-modulemd-1.0.2-1.fc25.noarch.rpm                                                                                      196 kB/s |  40 kB     00:00    
(2/4): python-jwcrypto-0.3.2-1.fc25.noarch.rpm                                                                                       142 kB/s |  58 kB     00:00    
(3/4): python-custodia-0.1.0-4.fc25.noarch.rpm                                                                                       124 kB/s |  65 kB     00:00    
(4/4): PyYAML-3.11-13.fc25.x86_64.rpm                                                                                                325 kB/s | 170 kB     00:00    
---------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                188 kB/s | 333 kB     00:01     
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib/python2.7/site-packages/tests/__init__.pyc conflicts between attempted installs of python2-modulemd-1.0.2-1.fc25.noarch and python-custodia-0.1.0-4.fc25.noarch
  file /usr/lib/python2.7/site-packages/tests/__init__.pyo conflicts between attempted installs of python2-modulemd-1.0.2-1.fc25.noarch and python-custodia-0.1.0-4.fc25.noarch

Error Summary
-------------



Expected results:

Clean install.

Additional info:

Comment 1 Christian Heimes 2017-03-01 19:59:34 UTC
I have fixed the issue in custodia-0.1.0-6.fc25, https://koji.fedoraproject.org/koji/taskinfo?taskID=18128197

Comment 2 Fedora Update System 2017-03-02 13:20:22 UTC
custodia-0.1.0-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4a2750c54

Comment 3 Fedora Update System 2017-03-03 04:53:27 UTC
custodia-0.1.0-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c4a2750c54

Comment 4 Fedora Update System 2017-03-10 15:21:12 UTC
custodia-0.1.0-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.